
jQuery(document).ready(function($) {

var reduce_size =  parseFloat($('#reduce-size').val()).toFixed(2);

var orignal_size = parseFloat(100 - reduce_size).toFixed(2);

var config = {
    type: 'doughnut',
    data: {
        datasets: [{
            data: [
                reduce_size,
                orignal_size,
                
            ],
            backgroundColor: [
                window.chartColors.green,
                window.chartColors.blue,
            ],
            label: 'Dataset 1',
            hoverBackgroundColor: 'gray'
        }],
        labels: [
            'Reduce',
            'Original'
        ]
    },
    options: {
        responsive: true,
        plugins: {
            legend: {
                position: 'bottom',
                onClick: null
                
            },
            title: {
                display: true,
                text: 'Chart.js Doughnut Chart'
            },
        },
        animation: {
            animateScale: true,
            animateRotate: true
        }
    }
};

var chart_area = document.getElementById('chart-area');

if ( chart_area == null ) {

} else {

var ctx = document.getElementById('chart-area').getContext('2d');
window.myDoughnut = new Chart(ctx, config);

}
      


});
       
        