<?php
if ( is_admin() ) {
    if ( $_GET["page"] === "easy-webp/admin/uploaded-images-easywebp.php" ) {
        echo '<div class="loading-icon rotating"></div>'; // load only into easy webp plugin page
    
    }
?>

    <div class="easy-webp-main-div">

        <?php
        if ( extension_loaded('gd') ){
                echo '<div class="easy-webp-info" style="visibility: hidden;"><img src=" ' . plugins_url( "../assets/info-icon.png", __FILE__) . '" /><p>Required <b>gd</b> PHP extension is loaded.</p></div>';
        } else {
                echo '<div class="easy-webp-info-error" style="visibility: hidden;"><img src=" ' . plugins_url( "../assets/info-icon.png", __FILE__) . '" /><p>Error : Required <b>gd</b> PHP extension is not loaded.<br /></p></div>';
        }
        if ( !session_id() ) {
            session_start();

        }
    
        $upload_dir = wp_upload_dir();
        $base_upload_url = $upload_dir['basedir'];

        if ( !empty( $_SESSION["count_successfully_converted"] ) ) {
            $count_successfully_converted = sanitize_text_field( $_SESSION["count_successfully_converted"] );
            unset($count_successfully_converted);
            
        }

        if ( !empty( $_SESSION["count_failed_converted"] ) ) {

            $count_failed_converted = sanitize_text_field( $_SESSION["count_failed_converted"] );
            unset( $count_failed_converted );

        }
        
        ?>
    <div class="easy-webp-main-area">

        <?php

        if ( !empty( $_SESSION["session_uploaded_images"] ) ) {

        $session_uploaded_images = sanitize_text_field( $_SESSION["session_uploaded_images"] );
        $session_theme_images = sanitize_text_field( $_SESSION["session_theme_images"] );
        
        }else {

        $session_uploaded_images = "";
        $session_theme_images = "";
        

        }
        

        if( empty( $_SESSION["session_uploaded_images"] ) ) {
            
            $session_uploaded_images = "true"; // uploaded images is selected by default
            $session_theme_images = "";
            

        }elseif ( empty( $session_theme_images ) ) {
            
            $session_theme_images = "";

        }
        ?>
   
        <?php if ( $session_uploaded_images === "true")  {

        ?>
        <h4 class="easy-webp-upload-text" style="visibility: hidden;"><input type="checkbox" id="uploaded-images-checkbox" checked="true" /><b class="easy-webp-uploaded-text">Uploaded Images&nbsp;</b></h4>
        <h4 class="easy-webp-upload-text" style="visibility: hidden;"><input type="checkbox" id="uploaded-theme-checkbox" /><b class="easy-webp-theme-text">Theme Images&nbsp;</b></h4>

        <?php
        } elseif ( $session_theme_images === "true") {
        ?>

        <h4 class="easy-webp-upload-text" style="visibility: hidden;"><input type="checkbox" id="uploaded-images-checkbox" /><b class="easy-webp-uploaded-text">Uploaded Images&nbsp;</b></h4>
        <h4 class="easy-webp-upload-text" style="visibility: hidden;"><input type="checkbox" id="uploaded-theme-checkbox" checked="true" /><b class="easy-webp-theme-text">Theme Images&nbsp;</b></h4>

        <?php
        } else {
        ?>

        <h4 class="easy-webp-upload-text" style="visibility: hidden;"><input type="checkbox" id="uploaded-images-checkbox" /><b class="easy-webp-uploaded-text">Uploaded Images&nbsp;</b></h4>
        <h4 class="easy-webp-upload-text" style="visibility: hidden;"><input type="checkbox" id="uploaded-theme-checkbox" /><b class="easy-webp-theme-text">Theme Images&nbsp;</b></h4>

        <?php
        }
        ?>
        
    <form onsubmit="return false">

    <?php if ( $session_uploaded_images === "true")  {

    ?>

    <div class="easy-webp-checkbox-group" style="visibility: hidden;">
    <input type="checkbox" id="easy-webp-check-all" />
    <p class="check-all-label no-select">Check all</p>
    </div>

    <button type="submit" id="convert_selected_btn" style="visibility: hidden;">
    <img src="<?php echo plugins_url( "../assets/convert-icon.png", __FILE__ ); ?>" id="convert_selected_icon">
    <span class="convert-selected-btn-text">Convert Selected</span>
    </button>

    <?php 
    } elseif ( $session_theme_images === "true" ) {
    ?>

    <div class="easy-webp-checkbox-group" style="visibility: hidden;">
    <input type="checkbox" id="easy-webp-check-all-theme" />
    <p class="check-all-label no-select">Check all</p>
    </div>

    <button type="submit" id="convert_selected_theme_btn" style="visibility: hidden;">
    <img src="<?php echo plugins_url( "../assets/convert-icon.png", __FILE__ ); ?>" id="convert_selected_icon">
    <span class="convert-selected-btn-text">Convert Selected</span>
    </button>

    <?php
    } ?>

    <div class="easy-webp-btn-group quality-group" style="visibility: hidden;">
    <label id="image-quality-label">&nbsp;Quality&nbsp;</label>
    <select name="quality" id="image-quality">
        <?php
        $table_name = $wpdb->prefix . 'easywebp';
        $results = $wpdb->get_results( "SELECT * FROM $table_name ORDER BY id DESC LIMIT 1"); 
        if( !empty( $results ) ) {

            foreach( $results as $row ){ 

                $quality = $row->quality;
                if ( $quality === "10" ) {
                    echo '<option value="10" selected>10</option>';
                } else {
                    echo '<option value="10">10</option>';
                }
                if ( $quality === "20" ) {
                    echo '<option value="20" selected>20</option>';
                } else {
                    echo '<option value="20">20</option>';
                }
                if ( $quality === "30" ) {
                    echo '<option value="30" selected>30</option>';
                } else {
                    echo '<option value="30">30</option>';
                }
                if ( $quality === "40" ) {
                    echo '<option value="40" selected>40</option>';
                } else {
                    echo '<option value="40">40</option>';
                }
                if ( $quality === "50" ) {
                    echo '<option value="50" selected>50</option>';
                } else {
                    echo '<option value="50">50</option>';
                }
                if ( $quality === "60" ) {
                    echo '<option value="60" selected>60</option>';
                } else {
                    echo '<option value="60">60</option>';
                }
                if ( $quality === "70" ) {
                    echo '<option value="70" selected>70</option>';
                } else {
                    echo '<option value="70">70</option>';
                }
                if ( $quality === "80" ) {

                    echo '<option value="80" selected>80</option>';
                } else {
                    echo '<option value="80">80</option>';
                }
                if ( $quality === "90" ) {
                    echo '<option value="90" selected>90</option>';
                } else {
                    echo '<option value="90">90</option>';
                }
                if ( $quality === "100" ) {
                    echo '<option value="100" selected>100</option>';
                } else {
                    echo '<option value="100">100</option>';
                }
            }
        } 
        ?>
    </select>
    </div>
       

    <?php if ( $session_theme_images === "true")  {

    ?>

    <div class="easy-webp-btn-group select-theme" style="visibility: hidden;">
    <label title="Theme to Convert" id="image-type-label">&nbsp;Select Theme&nbsp;</label>
    <select id="selected-theme">
        <?php

        $theme_root = get_theme_root() . "/";
        $installed_theme = glob($theme_root."*", GLOB_ONLYDIR);
        static $i;
        foreach( $installed_theme as $list_theme ) {
            $i++;
            $list_theme_name = explode('/', $list_theme);
            $get_theme_name = array_slice( $list_theme_name, -1, 1, true );
            $themes = end($get_theme_name);

            $count = strlen($themes);

            if( $count > 15 ) {
               $themes = substr($themes, 0, 15) . "..."; 
           }else {
                $themes = $themes;
           }

            if ( empty( sanitize_text_field( $_SESSION["selected_theme"] ) ) ) { // if session is empty
                $selected_theme = "";

                if( $i === 1) {
                    echo '<option value="' . $themes . '" selected="selected">' . $themes . '</option>'; // select the first theme 
                sanitize_text_field( $_SESSION["selected_theme"] = $themes );
                }else {
                    echo '<option value="' . $themes . '" >' . $themes . '</option>';   
                }
            }else { // if session is not empty
                $selected_theme = sanitize_text_field( $_SESSION["selected_theme"] );

                if ( $themes === $selected_theme ) {
                echo '<option value="' . $themes . '" selected="selected">' . $themes . '</option>';
                sanitize_text_field( $_SESSION["selected_theme"] = $themes );
                }else {
                    echo '<option value="' . $themes . '" >' . $themes . '</option>';
                    
                }

            }
            
        } 
        ?>
    </select>
    </div>

    <?php
    } elseif ( $session_uploaded_images === "true") { // if uploaded images is selected
    ?>

    <div class="easy-webp-btn-group image-type" style="visibility: hidden;">
    <label title="Type of Image to Convert and Load" id="image-type-label">&nbsp;Select Type&nbsp;</label>
    <select name="image_type" id="image-type">
        <?php
          $table_name = $wpdb->prefix . 'easywebp';
          $results = $wpdb->get_results( "SELECT * FROM $table_name ORDER BY id DESC LIMIT 1"); 
          
        if( !empty( $results ) ) {
            foreach( $results as $row ){   
                $image_type = $row->image_type;
                if ( $image_type === "original_image" ) {
                    echo '<option value="original_image" selected>Original Image</option>';
                    sanitize_text_field( $_SESSION["image_type"] = "original_image" );
                } else {
                    echo '<option value="original_image">Original Image</option>';
                }
                if ( $image_type === "full_image" ) {
                    echo '<option value="full_image" selected>Full Image</option>';
                    sanitize_text_field( $_SESSION["image_type"] = "full_image" );
                } else {
                    echo '<option value="full_image">Full Image</option>';
                }
                if ( $image_type === "large_image" ) {
                    echo '<option value="large_image" selected>Large Image</option>';
                    sanitize_text_field( $_SESSION["image_type"] = "large_image" );
                } else {
                    echo '<option value="large_image">Large Image</option>';
                }
                if ( $image_type === "medium_image" ) {
                    echo '<option value="medium_image" selected>Medium Image</option>';
                    sanitize_text_field( $_SESSION["image_type"] = "medium_image" );
                } else {
                    echo '<option value="medium_image">Medium Image</option>';
                }
                if ( $image_type === "thumbnail_image" ) {
                    echo '<option value="thumbnail_image" selected>Thumbnail Image</option>';
                    sanitize_text_field( $_SESSION["image_type"] = "thumbnail_image" );
                } else {
                    echo '<option value="thumbnail_image">Thumbnail Image</option>';
                }
            }
        } 
        ?>
    </select>
    </div>

    <div class="easy-webp-btn-group" style="visibility: hidden;">
    <label id="image-per-page-label" for="image-per-page">&nbsp;Image Per Page&nbsp;</label>
    <select name="image_per_page" id="image-per-page">
        <?php
        $table_name = $wpdb->prefix . 'easywebp';
        $results = $wpdb->get_results( "SELECT * FROM $table_name ORDER BY id DESC LIMIT 1");
        if( !empty( $results ) ) {
            foreach( $results as $row ){   
            $image_per_age = $row->image_per_page;
            if ( $image_per_age === "20" ) {
                echo '<option value="20" selected>20</option>';
            } else {
                echo '<option value="20">20</option>';
            }
            if ( $image_per_age === "30" ) {
                echo '<option value="30" selected>30</option>';
            } else {
                echo '<option value="30">30</option>';
            }
            if ( $image_per_age === "40" ) {
                echo '<option value="40" selected>40</option>';
            } else {
                echo '<option value="40">40</option>';
            }
            if ( $image_per_age === "50" ) {
                echo '<option value="50" selected>50</option>';
            } else {
                echo '<option value="50">50</option>';
            }
            if ( $image_per_age === "60" ) {
                echo '<option value="60" selected>60</option>';
            } else {
                echo '<option value="60">60</option>';
            }
            if ( $image_per_age === "70" ) {
                echo '<option value="70" selected>70</option>';
            } else {
                echo '<option value="70">70</option>';
            }
            if ( $image_per_age === "80" ) {
                echo '<option value="80" selected>80</option>';
            } else {
                echo '<option value="80">80</option>';
            }
            if ( $image_per_age === "90" ) {
                echo '<option value="90" selected>90</option>';
            } else {
                echo '<option value="90">90</option>';
            }
            if ( $image_per_age === "100" ) {
                echo '<option value="100" selected>100</option>';
            } else {
                echo '<option value="100">100</option>';
            }
            if ( $image_per_age === "150" ) {
                echo '<option value="150" selected>150</option>';
            } else {
                echo '<option value="150">150</option>';
            }

            }
        } 
        ?>
    </select>
    </div>

    <?php
    }
    ?>
    
    </form>
    <br />

        <?php if ( $session_uploaded_images === "true")  {  //if uploaded images is seelcted
        ?>

        <!-- start of if selected is uploaded images -->
        <?php

        

        if ( !empty( $_GET["paged"] ) ) {

            $get_paged = sanitize_text_field( $_GET["paged"] ); 

            $paged = (get_query_var('paged')) ? absint( get_query_var('paged') ) : $get_paged;
        } else {
            $paged = (get_query_var('paged')) ? absint( get_query_var('paged') ) : 1;
        }

        global $wp_query;
        $table_name = $wpdb->prefix . 'easywebp';
        $results = $wpdb->get_results("SELECT * FROM $table_name"); 
        if ( !empty( $results ) ) {

                 foreach( $results as $row ){   

                    $image_per_page = $row->image_per_page;
                    sanitize_text_field( $_SESSION["image_per_page"] = $image_per_page );

            }
        }

        $image_per_page = sanitize_text_field( $_SESSION["image_per_page"] );

        $args = array(
        'post_type' => 'attachment',
        'post_mime_type' =>'image',
        'post_status' => 'inherit',
        'posts_per_page' => $image_per_page,
        'paged' => $paged
        );

        query_posts($args);

        if ( have_posts() ) { 

            $slide_no = 0;

            while ( have_posts() ) : the_post();

                $slide_no++;
                $get_thumbnail_image_size = wp_get_attachment_image_src( get_the_ID(), 'thumbnail' );
                $get_medium_image_size = wp_get_attachment_image_src( get_the_ID(), 'medium' );
                $get_url_large_image_size = wp_get_attachment_image_src( get_the_ID(), 'large' );
                $get_url_full_image_size = wp_get_attachment_image_src( get_the_ID(), 'full' );// scaled images
                
                global $wp_version;
                $wp_array_version = explode("." , $wp_version);
                $wp_check_version = $wp_array_version[0] . $wp_array_version[1];

                if ($wp_check_version >= 53) { // original image works in WordPress 5.3 or higher

                    $url_original_image_size = wp_get_original_image_url( get_the_ID() ); // get the original size of image
                
                }else {
                    $get_url_original_image_size = wp_get_attachment_image_src( get_the_ID(), 'full' );
                    $url_original_image_size = $get_url_original_image_size[0]; // get the original size of image
                }

                // url of images 
                $url_thumbnail_image_size = $get_thumbnail_image_size[0];
                $url_medium_image_size = $get_medium_image_size[0];
                $url_large_image_size = $get_url_large_image_size[0]; 
                $url_full_image_size = $get_url_full_image_size[0]; // scaled images
                //$url_original_image_size = wp_get_original_image_url( get_the_ID() ); // get the original size of image
                

                ?>
                <div class="uploaded-images easy-webp-container" style="visibility: hidden;">
                <img class="easy-webp-thumbnails" src="<?php echo $url_thumbnail_image_size; ?>" style="height : 0; width: 0" />';
                <div class="uploaded-images top-left">
                <button class="image-original-version">
                <img title="Copy Original Version" src="<?php echo plugins_url("../assets/copy-original-version-icon.png", __FILE__); ?>" />
                </button>
                <input type="text" value="<?php

                    if ( $_SESSION['image_type'] === "original_image" ) { 
                        echo $url_original_image_size; 
                    } elseif ( $_SESSION['image_type'] === "full_image" ) { 
                        echo $url_full_image_size; 
                    } elseif ( $_SESSION['image_type'] === "large_image" ) { 
                        echo $url_large_image_size; 
                    } elseif ( $_SESSION['image_type'] === "medium_image" ) { 
                        echo $url_medium_image_size; 
                    } elseif ( $_SESSION['image_type'] === "thumbnail_image" ) { 
                        echo $url_thumbnail_image_size; 
                    } 

                ?>" class="image-link-to-copy" />
                         <!-- echo wp original image or wp optimized image -->
                    </div>
                    <div class="uploaded-images bottom-left">
                    <button class="image-webp-version">
                    <img title="Copy WebP Version" src="<?php echo plugins_url("../assets/copy-webp-version-icon.png", __FILE__); ?>" />
                    </button>
                    <?php 



                    if ( $_SESSION['image_type'] === "original_image" ) { 
                            $current_url = $url_original_image_size; 
                    } elseif ( $_SESSION['image_type'] === "full_image" ) { 
                           $current_url = $url_full_image_size; 
                    } elseif ( $_SESSION['image_type'] === "large_image" ) { 
                           $current_url = $url_large_image_size; 
                    } elseif ( $_SESSION['image_type'] === "medium_image" ) { 
                            $current_url = $url_medium_image_size; 
                    } elseif ( $_SESSION['image_type'] === "thumbnail_image" ) {
                            $current_url = $url_thumbnail_image_size; 
                    } 


                    $upload_dir   = wp_upload_dir();
                    $base_upload_dir = $upload_dir['basedir'];
                    $base_upload_url = $upload_dir['baseurl'];
                    $original_upload_dir = $base_upload_dir;
                    $easy_webp_upload_dir = $base_upload_dir . '/easy-webp-upload/';
                    $check_image_url = $current_url;
                    $get_url = parse_url( $check_image_url, PHP_URL_PATH );
                    $get_url_exact_link = explode('/', ( parse_url( $check_image_url, PHP_URL_PATH ) ) );
                    $url_array_link = array_slice( $get_url_exact_link, -3, 2, true ); // get the current date of link
                    $_SESSION["save_date_link"] = "";
                    foreach ($url_array_link as $key => $val) {
                       $_SESSION["save_date_link"] .=$val."/";
                    }
                    $save_date_link = $_SESSION["save_date_link"];
                    $original_filename = basename( $check_image_url );
                    $check_original_version = $original_upload_dir . $save_date_link . $original_filename;
                    $path_parts = pathinfo( $check_image_url );
                    $check_filename_if_webp = $path_parts['filename']; 
                    $check_webp_version = $base_upload_dir . '/easy-webp-upload/' . $save_date_link . $check_filename_if_webp . ".webp";

                    if ( file_exists( $check_webp_version ) ) {
                        $webp_exist = "true";
                        $webp_version = $base_upload_url . '/easy-webp-upload/' . $save_date_link . $check_filename_if_webp . ".webp";
                    } else {
                        $webp_version = "no_webp";
                    }

                    ?>
                    <?php 
                    if ( $webp_exist = "true" ) {
                        echo '<input type="text" value="'.$webp_version.'" class="webp-image-link-to-copy" />';
                    }
                    ?>
                    </div>
                    <div class="uploaded-images top-right">
                    <form onsubmit="return false" method="post" class="convert-selected-form">
                        <input type="checkbox" class="easy-webp-checkbox" value="<?php 
                        if ( $_SESSION['image_type'] === "original_image" ) { 
                            echo $url_original_image_size; 
                        } elseif ( $_SESSION['image_type'] === "full_image" ) { 
                            echo $url_full_image_size; 
                        } elseif ( $_SESSION['image_type'] === "large_image" ) { 
                            echo $url_large_image_size; 
                        } elseif ( $_SESSION['image_type'] === "medium_image" ) { 
                            echo $url_medium_image_size; 
                        } elseif ( $_SESSION['image_type'] === "thumbnail_image" ) {
                            echo $url_thumbnail_image_size; 
                        } 
                        ?>" />
                        <!-- echo wp original image or wp optimized image -->
                    </form>
                    </div>
                    <div class="uploaded-images bottom-right">
                    <img onclick="currentSlide( <?php echo $slide_no; ?>)" title="Fullscreen" src="<?php echo plugins_url("../assets/fullscreen-icon.png", __FILE__); ?>" />
                    </div>
            
                    <div class="uploaded-images centered">
                    <form onsubmit="return false" method="post" class="convert-form">
                        <input type="hidden" name="image_link" value="<?php 
                        if ( $_SESSION['image_type'] === "original_image" ) { 
                            echo $url_original_image_size; 
                        } elseif ( $_SESSION['image_type'] === "full_image" ) { 
                            echo $url_full_image_size; 
                        } elseif ( $_SESSION['image_type'] === "large_image" ) { 
                            echo $url_large_image_size; 
                        } elseif ( $_SESSION['image_type'] === "medium_image" ) { 
                            echo $url_medium_image_size; 
                        } elseif ( $_SESSION['image_type'] === "thumbnail_image" ) { 
                            echo $url_thumbnail_image_size; 
                        } 
                        ?>" />
                        <!-- echo wp original image or wp optimized image -->
                        <button type="submit" class="easy-webp-convert-btn">
                            <img title="Convert to WebP" src="<?php echo plugins_url("../assets/convert-icon.png", __FILE__); ?>" />
                        </button>
                    </form>
                    </div>
                </div>
                <div class="easy-webp-slide-container">
                <img class="easy-webp-slides" src="<?php echo $url_large_image_size; ?>" style="width: 0" />
                </div>
        <?php
            endwhile;
        } // end of if have post

        ?>
    <span class="easy-webp-btn easy-webp-close-image no-select" style="visibility: hidden;" onclick="closeModal()">&times;</span>
    <a class="easy-webp-btn easy-webp-prev no-select" style="visibility: hidden;" onclick="plusSlides(-1)">&#10094;</a>
    <a class="easy-webp-btn easy-webp-next no-select" style="visibility: hidden;" onclick="plusSlides(1)">&#10095;
    </a>
     <!-- end of if selected is uploaded images -->

        <?php
        } elseif ( $_SESSION["session_theme_images"] === "true") {

        ?>

        <!-- start of if selected is theme images -->
        <?php
        function ewp_get_dirs($directory, $directory_seperator) {
          $dirs = array_map(function ($item) use ($directory_seperator) {
            return $item . $directory_seperator;
          }, array_filter(glob($directory . '*'), 'is_dir'));
          foreach ($dirs AS $dir) {
            $dirs = array_merge($dirs, ewp_get_dirs($dir, $directory_seperator));
          }
          return $dirs;
        }

        function ewp_get_images($directory) {
          $resizedFilePath = array();
          foreach ($directory AS $dir) {
            foreach (glob($dir . '*.{jpg,JPG,jpeg,JPEG,png,PNG,gif}', GLOB_BRACE) as $filename) {
                array_push($resizedFilePath, $filename);
            }
          }
          return $resizedFilePath;
        }

        $selected_theme = sanitize_text_field( $_SESSION["selected_theme"] );

        $directory = get_home_path() . "wp-content/themes/" . $selected_theme . "/";

        $directory_seperator = "/";

        $allimages = ewp_get_images(ewp_get_dirs($directory, $directory_seperator));

        $theme_root = content_url() . "/"; // http://localhost/wordpress/wp-content/

        $slide_no = 0;
        foreach ( $allimages as $local_image_link ) {

        $local_link = preg_replace('/\/themes\/(\w+\S+)$/', '', $local_image_link); // themes or wp-content / remove the wp-content../../ or themes/../../

        //$image_link is local link

        $online_link = str_replace( $local_link, $theme_root, $local_image_link); // generate online link // replace local directory with localhost or http


        $slide_no++;


                ?>
                <div class="uploaded-images easy-webp-container" style="visibility: hidden;">
                <img class="easy-webp-thumbnails" src="<?php echo $online_link; ?>" style="height : 0; width: 0" />';
                <div class="uploaded-images top-left">
                <button class="image-original-version">
                <img title="Copy Original Version" src="<?php echo plugins_url("../assets/copy-original-version-icon.png", __FILE__); ?>" />
                </button>
                <input type="text" value="<?php echo $online_link; ?>" class="image-link-to-copy" />
                         <!-- echo wp original image or wp optimized image -->
                </div>
                <div class="uploaded-images bottom-left">
                <button class="image-webp-version">
                <img title="Copy WebP Version" src="<?php echo plugins_url("../assets/copy-webp-version-icon.png", __FILE__); ?>" />
                </button>
                    <?php 
                    $path_parts = pathinfo( $local_image_link );
                    $check_filename_if_webp = $path_parts['filename']; 
                    $dir_theme_image = $path_parts['dirname'];
                    $check_webp_version = $dir_theme_image . "/" . $check_filename_if_webp . ".webp"; // for local checking if webp exist

                    $path_parts_online = pathinfo( $online_link );
                    $check_filename_online = $path_parts_online['filename']; 
                    $dir_theme_online_image = $path_parts_online['dirname'];
                    $online_webp_version = $dir_theme_online_image . "/" . $check_filename_online . ".webp"; // for online view like http or locahost

                    if ( file_exists( $check_webp_version ) ) {
                        $webp_exist = "true";
                        $webp_version = $dir_theme_online_image . "/" . $check_filename_online . ".webp";
                    } else {
                        $webp_version = "no_webp";
                    }

                    ?>
                    <?php 
                    if ( $webp_exist = "true" ) {
                        echo '<input type="text" value="'.$webp_version.'" class="webp-image-link-to-copy" />';
                    }
                    ?>
                </div>
                <div class="uploaded-images top-right">
                <form onsubmit="return false" method="post" class="convert-selected-theme">

                    <input type="checkbox" class="selected-online-link" name="online_link" value="<?php echo $online_link; ?>" />
                    <input type="checkbox" class="selected-local-link" name="local_link" value="<?php echo $local_image_link; ?>" style="visibility: hidden;width: 0; height: 0;position: absolute; " />
                    <!-- echo wp original image or wp optimized image -->
                </form>
                </div>
                <div class="uploaded-images bottom-right">
                <img onclick="currentSlide( <?php echo $slide_no; ?>)" title="Fullscreen" src="<?php echo plugins_url("../assets/fullscreen-icon.png", __FILE__); ?>" />
                </div>
        
                <div class="uploaded-images centered">
                <form onsubmit="return false" method="post" class="convert-form-theme">
                    <input type="hidden" name="online_link" value="<?php echo $online_link; ?>" />
                    <input type="hidden" name="local_link" value="<?php echo $local_image_link; ?>" />
                    <!-- echo wp original image or wp optimized image -->
                    <button type="submit" class="easy-webp-convert-btn">
                        <img title="Convert to WebP" src="<?php echo plugins_url("../assets/convert-icon.png", __FILE__); ?>" />
                    </button>
                </form>
                </div>
                </div>
                <div class="easy-webp-slide-container">
                <img class="easy-webp-slides" src="<?php echo $online_link;; ?>" style="width: 0" />
                </div>
        <?php

         } // end of foreach

        ?>
    <span class="easy-webp-btn easy-webp-close-image no-select" style="visibility: hidden;" onclick="closeModal()">&times;</span>
    <a class="easy-webp-btn easy-webp-prev no-select" style="visibility: hidden;" onclick="plusSlides(-1)">&#10094;</a>
    <a class="easy-webp-btn easy-webp-next no-select" style="visibility: hidden;" onclick="plusSlides(1)">&#10095;
    </a>
     <!-- end of if selected is theme images -->


        <?php
        }
        ?>

    </div><!-- end of easy-webp-main-area -->



        <?php

            $table_name_converted = $wpdb->prefix . 'easywebp_converted';
            $results = $wpdb->get_results( "SELECT * FROM $table_name_converted"); 
            $reduce_size = 0;
            if ( !empty( $results ) ) {

                foreach( $results as $row ){

                    $reduce_size += $row->reduce_size;
                    sanitize_text_field( $_SESSION["reduce_size"] = $reduce_size );
                }

            } else {
                sanitize_text_field( $_SESSION["reduce_size"] = 0 );
            }

            $count_query = "select count(*) from $table_name_converted";
            $number_of_converted = $wpdb->get_var($count_query);
            $reduce_size = sanitize_text_field( $_SESSION["reduce_size"] );
            if ( $reduce_size === "0") {
                $reduce_size = 0;
            }
            if ( $reduce_size === 0 ) {
                $reduce_size = 0;
            } else {
                $reduce_size = ( $reduce_size ) / $number_of_converted;
            }
            echo '<input type="hidden" id="number-of-convered" value=" '. $number_of_converted .' " />';
            echo '<input type="hidden" id="reduce-size" value=" '. $reduce_size .' " />';

        ?>
    <div class="easy-webp-right-container">
    <div class="easy-webp-plan">
 

            <center>
            <a href="https://www.paypal.com/donate/?hosted_button_id=AXEWW7FFWNZEE" class="easy-webp-subscribe-link" target="_blank"><div class="easy-webp-subscription-div-unlimited">
            <b class="subscription-bold-text-unlimited">Donation</b> 
            <i>are highly appreciated</i> 
            </div>
            </a>

            <div class="easy-webp-current-plan">
                <?php
                $table_name_converted = $wpdb->prefix . 'easywebp_converted';
                $results = $wpdb->get_results( "SELECT * FROM $table_name_converted"); 
                $reduce_size = 0;

                if ( !empty( $results ) ) {
                    $used_converted_size = "0";

                    foreach ( $results as $row ){   

                        $used_converted_size += $row->original_size;
                        sanitize_text_field( $_SESSION["used_converted_size"] = $used_converted_size );

                    }
                }else {
                    sanitize_text_field( $_SESSION["used_converted_size"] = "0" );
                }

                ?>
            <b class="subscription-bold-text-unlimited">Converted Size :</b>
                <?php
                    $used_converted_size = sanitize_text_field( $_SESSION["used_converted_size"] );
                    if ( $used_converted_size === "0") { 
                        echo "0 MB."; 
                    } else {
                            echo round(( ( $used_converted_size ) / 1024 ), 2) . "MB.";
                    }
                ?>
            <br />
            </div>
                <?php
                    sanitize_text_field( $_SESSION["customer_is_subscribe"] = "true" );
                ?>
            </center>
              
        </div>
        <div id="chart-container">
        <div id="canvas-holder" >
        <canvas id="chart-area" width="400" height="400"></canvas>
        </div>
        </div>
        <div class="latest-webp-conversion">
        <h4>Latest WebP Conversion</h4>
            <?php
            $table_name_converted = $wpdb->prefix . 'easywebp_converted';
            $results = $wpdb->get_results( "SELECT * FROM $table_name_converted ORDER BY id DESC LIMIT 5"); 
            $reduce_size = 0;
            if ( !empty( $results ) ) {
            static $j;
             foreach ( $results as $row ){
                $j++;  
                $original_image = $row->original_image;
                $webp_image = $row->webp_image;

                    echo $j.'. <a href="'.$webp_image.'" target="_blank" class="webp-link">WebP</a> | <a href="'.$original_image.'" target="_blank" class="original-link">Original</a><br />';
                }
            }
            ?>
        </div>
    </div> <!-- end of easy-webp-right-container -->
    </div> <!-- end of easy-webp-main-div -->
<?php

    if( $wp_query->max_num_pages <= 1 )
        return;
    $max   = intval( $wp_query->max_num_pages );
    if ( $paged >= 1 )
        $links[] = $paged;
    if ( $paged >= 3 ) {
        $links[] = $paged - 1;
        $links[] = $paged - 2;
    }
    if ( ( $paged + 2 ) <= $max ) {
        $links[] = $paged + 2;
        $links[] = $paged + 1;
    }
    echo '<div class="navigation navigation-easy-webp" style="visibility: hidden"><ul>' . "\n";
    if ( get_previous_posts_link() )
        printf( '<li>%s</li>' . "\n", get_previous_posts_link() );
    if ( ! in_array( 1, $links ) ) {
        $class = 1 === $paged ? ' class="active"' : '';
        printf( '<li%s><a href="%s">%s</a></li>' . "\n", $class, esc_url( get_pagenum_link( 1 ) ), '1' );
        if ( ! in_array( 2, $links ) )
            echo '<li>…</li>';
    }
    sort( $links );
    foreach ( (array) $links as $link ) {
        $class = $paged === $link ? ' class="active"' : '';
        printf( '<li%s><a href="%s">%s</a></li>' . "\n", $class, esc_url( get_pagenum_link( $link ) ), $link );
    }
    if ( ! in_array( $max, $links ) ) {
        if ( ! in_array( $max - 1, $links ) )
            echo '<li>…</li>' . "\n";
        $class = $paged === $max ? ' class="active"' : '';
        printf( '<li%s><a href="%s">%s</a></li>' . "\n", $class, esc_url( get_pagenum_link( $max ) ), $max );
    }
    if ( get_next_posts_link() )
        printf( '<li>%s</li>' . "\n", get_next_posts_link() );
    echo '</ul></div>' . "\n";

 } // end of if admin

 ?>